Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.build.fs.parser
Enum Metadata.IntField

    java.lang.Object
      java.lang.Enum<Metadata.IntField>
          org.basex.build.fs.parser.Metadata.IntField

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Metadata.IntField>

Enclosing class:
  Metadata

    public static enum Metadata.IntField

extends java.lang.Enum<Metadata.IntField>

Available metadata fields with data type integer.

Author:
  Bastian Lemke

Enum Constant Summary
`FS_OWNER_GROUP_ID` Group ID of the owner of the file.
`FS_OWNER_USER_ID` User ID of the owner of the file.
`FS_SIZE` Size of the file in the file system.
`MM_HEIGHT` Height in millimeters.
`MM_WIDTH` Width in millimeters.
`NUMBER_OF_PAGES` Number of pages.
`PIXEL_HEIGHT` Height in pixels.
`PIXEL_WIDTH` Width in pixels.
`TRACK` Track number.

Method Summary
`byte[]` | `get()` Returns the enum value as byte array.
`static Metadata.IntField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Metadata.IntField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FS_OWNER_USER_ID

    public static final Metadata.IntField FS_OWNER_USER_ID

  User ID of the owner of the file.

### FS_OWNER_GROUP_ID

    public static final Metadata.IntField FS_OWNER_GROUP_ID

  Group ID of the owner of the file.

### FS_SIZE

    public static final Metadata.IntField FS_SIZE

  Size of the file in the file system.

### MM_HEIGHT

    public static final Metadata.IntField MM_HEIGHT

  Height in millimeters.

### MM_WIDTH

    public static final Metadata.IntField MM_WIDTH

  Width in millimeters.

### NUMBER_OF_PAGES

    public static final Metadata.IntField NUMBER_OF_PAGES

  Number of pages.

### PIXEL_HEIGHT

    public static final Metadata.IntField PIXEL_HEIGHT

  Height in pixels.

### PIXEL_WIDTH

    public static final Metadata.IntField PIXEL_WIDTH

  Width in pixels.

### TRACK

    public static final Metadata.IntField TRACK

  Track number.

Method Detail

### values

    public static Metadata.IntField[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Metadata.IntField c : Metadata.IntField.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Metadata.IntField valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public byte[] get()

  Returns the enum value as byte array.

  Returns:
    the enum value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD